Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 289)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 290)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 100;
+        public static int s_SystemVersion = 101;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 289)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 290)
@@ -945,7 +945,7 @@
         /// <param name="CurrentValue">現在入力値</param>
         /// <param name="TargetDate">現在入力年月</param>
         /// <returns></returns>
-        public static bool OverExecAmount(int ConstrCode, int LineNo, int CurrentValue, DateTime TargetDate, int CompanyCode = 0)
+        public static bool OverExecAmount(int ConstrCode, int LineNo, int CurrentValue, int TargetDate, int CompanyCode = 0)
         {
             IOConstructionLedgerDetail DetailDB = new IOConstructionLedgerDetail();
             try
@@ -968,7 +968,7 @@
                 strSQL.Append(" ON B.ConstructionCode = A.ConstructionCode");
                 strSQL.Append(" AND B.GroupCount = A.GroupCount");
                 strSQL.Append(" AND B.LineCount = A.LineCount");
-                strSQL.AppendFormat(" AND DATE_FORMAT(B.TargetMonth ,'%Y%m') <> '{0}'", TargetDate.ToString("yyyyMM"));
+                strSQL.AppendFormat(" AND DATE_FORMAT(B.TargetMonth ,'%Y%m') <> '{0}'", TargetDate);
 
                 strSQL.AppendFormat(" WHERE A.ConstructionCode = {0}", ConstrCode);
                 strSQL.AppendFormat(" AND A.GroupCount = {0}", GroupNo);
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionMaterialInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionMaterialInfo.cs	(revision 289)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionMaterialInfo.cs	(revision 290)
@@ -230,6 +230,7 @@
                 wrk.ProcessDate = DateTime.Parse(objwrk[(int)NameColumn.ProcessDate].ToString());
                 wrk.RentCount = int.Parse(objwrk[(int)NameColumn.RentCount].ToString());
                 wrk.RepayCount = int.Parse(objwrk[(int)NameColumn.RepayCount].ToString());
+                wrk.JunkCount = int.Parse(objwrk[(int)NameColumn.JunkCount].ToString());
                 wrk.CompleteFlg = int.Parse(objwrk[(int)NameColumn.CompleteFlg].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs	(revision 289)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs	(revision 290)
@@ -413,13 +413,16 @@
         #endregion
 
         #region 検索キー作成
-        public string CreatePrimarykeyString(int CompanyCode, int TargetDate, int SeqNo, int LineCount, int ApprovalNo)
+        public string CreatePrimarykeyString(int CompanyCode, int TargetDate = -1, int SeqNo = -1, int LineCount = -1, int ApprovalNo = -1)
         {
             StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork.AppendFormat(" Where CompanyCode = {0} and TargetDate = {1} and SeqNo = {2} and LineCount = {3} and ApprovalNo = {4}", CompanyCode, TargetDate, SeqNo, LineCount,ApprovalNo);
-
+                strWork.AppendFormat(" Where CompanyCode = {0}", CompanyCode);
+                if (TargetDate > -1) strWork.AppendFormat(" and TargetDate = {0}", TargetDate);
+                if (SeqNo > -1) strWork.AppendFormat(" and SeqNo = {0}", SeqNo);
+                if (LineCount > -1) strWork.AppendFormat(" and LineCount = {0}", LineCount);
+                if (ApprovalNo > -1) strWork.AppendFormat(" and ApprovalNo = {0}", ApprovalNo);
             }
             catch (Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstractionList/FrmConstructionList.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstractionList/FrmConstructionList.designer.cs	(revision 289)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstractionList/FrmConstructionList.designer.cs	(revision 290)
@@ -183,7 +183,7 @@
             this.grpExample1.Size = new System.Drawing.Size(400, 38);
             this.grpExample1.TabIndex = 33;
             this.grpExample1.TabStop = false;
-            this.grpExample1.Text = "施工状態変更より1カ月経過時";
+            this.grpExample1.Text = "施工状態変更より1カ月経過";
             this.grpExample1.Visible = false;
             // 
             // lblEstimateType03
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs	(revision 289)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs	(revision 290)
@@ -159,6 +159,10 @@
 
                 foreach (DataGridViewRow r in dgvMaster.Rows)
                 {
+                    // 完了は処理しない
+                    //if (CommonMotions.cnvInt(r.Cells[(int)DispColumn.ComplateFlg].Value)
+                    //    == (int)ConstructionMaterialInfo.CompleteFlgDef.Completed)
+                    //    continue;
 
                     int intMaterialItemCode = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialItemCode].Value);
                     int intRentCount = CommonMotions.cnvInt(r.Cells[(int)DispColumn.RentCount].Value);
@@ -588,13 +592,11 @@
                     obiSumRec[(int)DispColumn.MaterialCount] = 0;
                     obiSumRec[(int)DispColumn.MaterialDumpCount] = 0;
 
-                    if (CommonMotions.cnvInt(work[(int)DataColumn.RecKind]) == (int)MaterialRecordInfo.RecKindDef.Return)
+                    if (CommonMotions.cnvString(work[(int)DataColumn.CommentText]).Length > 0)
                     {
-                        if (CommonMotions.cnvString(work[(int)DataColumn.CommentText]).Length > 0)
-                        {
-                            obiSumRec[(int)DispColumn.CommentText] = work[(int)DataColumn.CommentText];
-                        }
+                        obiSumRec[(int)DispColumn.CommentText] = work[(int)DataColumn.CommentText];
                     }
+                    
                     obiSumRec[(int)DispColumn.RentProcessDate] = work[(int)DataColumn.RentProcessDate];
                     obiSumRec[(int)DispColumn.ComplateFlg] = work[(int)DataColumn.CompleteFlg];
                 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs	(revision 289)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs	(revision 290)
@@ -31,7 +31,7 @@
         private void InitializeComponent()
         {
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle11 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
@@ -40,6 +40,7 @@
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label1 = new System.Windows.Forms.Label();
             this.btnEnd = new System.Windows.Forms.Button();
             this.btnDataEntry = new System.Windows.Forms.Button();
@@ -319,14 +320,14 @@
             this.dgvMaster.Location = new System.Drawing.Point(10, 6);
             this.dgvMaster.MultiSelect = false;
             this.dgvMaster.Name = "dgvMaster";
-            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle10.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle10.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle10.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle10.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle10.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle10.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvMaster.RowHeadersDefaultCellStyle = dataGridViewCellStyle10;
+            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle11.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle11.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle11.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle11.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle11.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle11.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.RowHeadersDefaultCellStyle = dataGridViewCellStyle11;
             this.dgvMaster.RowHeadersVisible = false;
             this.dgvMaster.RowHeadersWidth = 20;
             this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
@@ -356,6 +357,7 @@
             // Column2
             // 
             dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle3.BackColor = System.Drawing.Color.WhiteSmoke;
             dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.Column2.DefaultCellStyle = dataGridViewCellStyle3;
             this.Column2.HeaderText = "種類";
@@ -378,6 +380,9 @@
             // 
             // Column3
             // 
+            dataGridViewCellStyle4.BackColor = System.Drawing.Color.WhiteSmoke;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle4;
             this.Column3.HeaderText = "品目";
             this.Column3.Name = "Column3";
             this.Column3.ReadOnly = true;
@@ -393,9 +398,9 @@
             // 
             // Column14
             // 
-            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle4.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column14.DefaultCellStyle = dataGridViewCellStyle4;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle5.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column14.DefaultCellStyle = dataGridViewCellStyle5;
             this.Column14.HeaderText = "返却予定日";
             this.Column14.Name = "Column14";
             this.Column14.ReadOnly = true;
@@ -404,10 +409,11 @@
             // 
             // Column4
             // 
-            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle5.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle5.Format = "#,0";
-            this.Column4.DefaultCellStyle = dataGridViewCellStyle5;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle6.BackColor = System.Drawing.Color.WhiteSmoke;
+            dataGridViewCellStyle6.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle6.Format = "#,0";
+            this.Column4.DefaultCellStyle = dataGridViewCellStyle6;
             this.Column4.HeaderText = "貸出数";
             this.Column4.Name = "Column4";
             this.Column4.ReadOnly = true;
@@ -417,10 +423,11 @@
             // 
             // Column5
             // 
-            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle6.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle6.Format = "#,0";
-            this.Column5.DefaultCellStyle = dataGridViewCellStyle6;
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle7.BackColor = System.Drawing.Color.WhiteSmoke;
+            dataGridViewCellStyle7.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle7.Format = "#,0";
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle7;
             this.Column5.HeaderText = "返却済数";
             this.Column5.Name = "Column5";
             this.Column5.ReadOnly = true;
@@ -430,9 +437,10 @@
             // 
             // Column17
             // 
-            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle7.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column17.DefaultCellStyle = dataGridViewCellStyle7;
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle8.BackColor = System.Drawing.Color.WhiteSmoke;
+            dataGridViewCellStyle8.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column17.DefaultCellStyle = dataGridViewCellStyle8;
             this.Column17.HeaderText = "破棄済数";
             this.Column17.Name = "Column17";
             this.Column17.ReadOnly = true;
@@ -442,9 +450,9 @@
             // 
             // Column6
             // 
-            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle8.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column6.DefaultCellStyle = dataGridViewCellStyle8;
+            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle9.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column6.DefaultCellStyle = dataGridViewCellStyle9;
             this.Column6.HeaderText = "返却数";
             this.Column6.Name = "Column6";
             this.Column6.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -453,9 +461,9 @@
             // 
             // Column13
             // 
-            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle9.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column13.DefaultCellStyle = dataGridViewCellStyle9;
+            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle10.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column13.DefaultCellStyle = dataGridViewCellStyle10;
             this.Column13.HeaderText = "破棄数";
             this.Column13.Name = "Column13";
             this.Column13.Resizable = System.Windows.Forms.DataGridViewTriState.False;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 289)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 290)
@@ -96,14 +96,6 @@
         /// 担当者選択
         /// </summary>
         private long s_SelectedPerson = 1;
-        /// <summary>
-        /// 発注者区分選択
-        /// </summary>
-        private long s_SelectedDivision = 1 << 4;
-        /// <summary>
-        /// 発注者選択
-        /// </summary>
-        private long s_SelectedOrderer = 1 << 5;
 
         #endregion
 
